libepubgen::EPUBPageElements Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libepubgen::EPUBPageElements Class Reference

`#include <EPUBPageElements.h>`

## Public Member Functions
| EPUBPageElements ()
| EPUBPageElements (const EPUBPageElements &elementList)
EPUBPageElements & | operator= (const EPUBPageElements &elementList)
| ~EPUBPageElements ()
void | draw (librevenge::RVNGDrawingInterface *painter) const
void | addStyle (const librevenge::RVNGPropertyList &propList)
void | addPath (const librevenge::RVNGPropertyList &propList)
void | addGraphicObject (const librevenge::RVNGPropertyList &propList)
void | addStartTextObject (const librevenge::RVNGPropertyList &propList)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addInsertText (const librevenge::RVNGString &text)
void | addCloseSpan ()
void | addCloseParagraph ()
void | addEndTextObject ()
void | addStartGroup (const librevenge::RVNGPropertyList &propList)
void | addEndGroup ()
bool | empty () const

## Private Attributes
std::vector< EPUBPageElement * > | m_elements

## Constructor & Destructor Documentation

libepubgen::EPUBPageElements::EPUBPageElements | ( |  | ) |

libepubgen::EPUBPageElements::EPUBPageElements | ( | const EPUBPageElements & | elementList | ) |

libepubgen::EPUBPageElements::~EPUBPageElements | ( |  | ) |

## Member Function Documentation

void libepubgen::EPUBPageElements::addCloseParagraph | ( |  | ) |

void libepubgen::EPUBPageElements::addCloseSpan | ( |  | ) |

void libepubgen::EPUBPageElements::addEndGroup | ( |  | ) |

void libepubgen::EPUBPageElements::addEndTextObject | ( |  | ) |

void libepubgen::EPUBPageElements::addGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBPageElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

void libepubgen::EPUBPageElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBPageElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBPageElements::addPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBPageElements::addStartGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBPageElements::addStartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBPageElements::addStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libepubgen::EPUBPageElements::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) | const

bool libepubgen::EPUBPageElements::empty | ( |  | ) | const
| inline

EPUBPageElements & libepubgen::EPUBPageElements::operator= | ( | const EPUBPageElements & | elementList | ) |

## Member Data Documentation

std::vector<EPUBPageElement *> libepubgen::EPUBPageElements::m_elements
| private

Referenced by addCloseParagraph(), addCloseSpan(), addEndGroup(), addEndTextObject(), addGraphicObject(), addInsertText(), addOpenParagraph(), addOpenSpan(), addPath(), addStartGroup(), addStartTextObject(), addStyle(), draw(), empty(), EPUBPageElements(), operator=(), and ~EPUBPageElements().

The documentation for this class was generated from the following files:

- EPUBPageElements.h
- EPUBPageElements.cpp